インポートされたDeviceIdentityを作成する
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい インポートされたDeviceIdentity オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementServiceConfig.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 要求
POST /deviceManagement/importedDeviceIdentities
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、インポートされたDeviceIdentity オブジェクトの JSON 表記を指定します。
次の表に、importedDeviceIdentity を作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | インポートされたデバイス ID の ID |
| importedDeviceIdentifier | String | インポートされたデバイス識別子 |
| importedDeviceIdentityType | importedDeviceIdentityType | インポートされたデバイス ID の種類。 可能な値は、unknown、imei、serialNumber です。 |
| lastModifiedDateTime | DateTimeOffset | 説明の最終変更日時 |
| createdDateTime | DateTimeOffset | デバイスの作成日時 |
| lastContactedDateTime | DateTimeOffset | デバイスの最後の連絡先の日付時刻 |
| description | String | デバイスの説明 |
| enrollmentState | enrollmentState | Intune のデバイスの状態。 使用可能な値: unknown、enrolled、pendingReset、failed、notContacted、blocked。 |
| platform | プラットフォーム | デバイスのプラットフォーム。 使用可能な値: unknown、ios、android、windows、windowsMobile、macOS。 |
応答
成功した場合、このメソッドは応答コードと、応答本文 201 Created にインポートされたDeviceIdentity オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceManagement/importedDeviceIdentities
Content-type: application/json
Content-length: 332
{
"@odata.type": "#microsoft.graph.importedDeviceIdentity",
"importedDeviceIdentifier": "Imported Device Identifier value",
"importedDeviceIdentityType": "imei",
"lastContactedDateTime": "2016-12-31T23:58:44.2908994-08:00",
"description": "Description value",
"enrollmentState": "enrolled",
"platform": "ios"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 504
{
"@odata.type": "#microsoft.graph.importedDeviceIdentity",
"id": "9f70a12f-a12f-9f70-2fa1-709f2fa1709f",
"importedDeviceIdentifier": "Imported Device Identifier value",
"importedDeviceIdentityType": "imei",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastContactedDateTime": "2016-12-31T23:58:44.2908994-08:00",
"description": "Description value",
"enrollmentState": "enrolled",
"platform": "ios"
}
フィードバック
フィードバックの送信と表示